.details-page {
  background: radial-gradient(
    circle at 65.5% 55%,
    rgb(255, 217, 159),
    rgb(255, 174, 172) 50%,
    rgb(139, 217, 254) 50%,
    rgb(219, 196, 252)
  );
  height: 100%;
  padding: 5rem 0;
}

.container {
  width: 70%;
  border-radius: 10px;
  overflow: hidden;
  margin: 0 auto;
}

.weather-details {
  background: linear-gradient(
    to bottom,
    rgb(106, 104, 173),
    rgb(251, 184, 186)
  );
  color: white;
  padding: 4rem 0rem 15rem;
  justify-content: space-around;
}

.details {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;

  &__temp {
    font-size: 6rem;
  }

  &__condition {
    font-size: 1.8rem;
    text-transform: uppercase;
    letter-spacing: 0.5rem;
  }
}

.city-name {
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: flex-start;
  p {
    font-size: 2.5rem;
    position: relative;
    padding-bottom: 1rem;
    text-transform: uppercase;
    letter-spacing: 0.5rem;
    display: inline-block;

    &::after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      height: 3px;
      width: 100%;
      background-color: white;
    }
  }
}

.conditions {
  display: flex;
  text-transform: uppercase;
  font-size: 1.3rem;
  letter-spacing: 0.3rem;
  margin-top: 3.5rem;

  &__left,
  &__right {
    display: flex;
    flex-direction: column;
    padding: 1rem 2rem;
  }

  &__left {
    border-right: 1px solid white;
  }
}

.footer {
  background-color: #fff;
  padding: 3rem 4rem;
  justify-content: space-between;
}

.twitter {
  font-size: 1.4rem;

  &__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }

  &__logo {
    width: 2rem;
  }

  &__tag {
    color: rgb(95, 132, 251);
  }

  &__feed {
    color: rgb(12, 16, 102);
  }

  &__tweets {
    text-align: center;
    margin-top: 2rem;
    font-size: 1.2rem;
  }
}

.future-weathers {
  justify-content: space-between;
}

@media screen and (max-width: 768px) {
  .weather-details {
    padding-bottom: 10rem;
  }

  .city-name {
    margin-top: 7rem;
  }

  .future-weathers {
    margin-top: 4rem;
  }
}